%define name	sdb
%define version	0.5.5
%define release	1mdk

%define major	0
%define libname %mklibname %{name} %{major}

Summary:	Simple database library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.1-postgres.patch.bz2
# http://www.gnu.org/software/automake/manual/html_node/Libtool-Issues.html
Patch1:		sdb-0.5.5-created_both_with_libtool_and_without.diff.bz2
URL:		http://siag.nu/libsdb/
License:	GPL
Group:		System/Libraries
BuildRequires:	MySQL-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	gdbm-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-libs-devel
BuildRequires:	sqlite-devel
BuildRequires:	unixODBC-devel
BuildRequires:	zlib-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is libsdb, the simple database library, which provides a way 
to support multiple database management systems in an application 
with negligeable overhead, in terms of code as well as system 
resources. It is mainly intended for use on Unix, but the ODBC 
driver works on Windows as well. 

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains libraries necessary for %{name}.

%package -n	%{libname}-devel
Summary:	Development header files and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	MySQL-devel
Requires:	gdbm-devel
Requires:	openssl-devel
Requires:	postgresql-devel
Requires:	postgresql-libs-devel
Requires:	sqlite-devel
Requires:	unixODBC-devel
Requires:	zlib-devel
Provides:	%{name}-devel
Obsoletes:	%{name}-devel
Provides:	lib%{name}-devel
Obsoletes:	lib%{name}-devel

%description -n	%{libname}-devel
This package contains the development header files and libraries
for %{name}.

%prep

%setup -q
%patch0 -p0 -b .postgres
%patch1 -p0 -b .created_both_with_libtool_and_without.diff

%build
#export CFLAGS="%{optflags} -fPIC"
#export CXXFLAGS="%{optflags} -fPIC"

export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

%configure2_5x \
    --with-gdbm \
    --with-mysql \
    --with-postgres \
    --with-odbc \
    --with-sqlite

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# remove invalid manpages
rm -f %{buildroot}%{_mandir}/man3/sdb_*

# fix wierdness on 9.0...
perl -p -i -e "s|/usr/local|%{_prefix}|g" %{buildroot}%{_libdir}/lib%{name}.la

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.text
%{_bindir}/sdb_client
%{_bindir}/sdbd
%{_bindir}/sdbd_client
%{_mandir}/man3/sdb.3*
%{_mandir}/man8/sdbd.8*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.0*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/sdb-config
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so
%{_includedir}/*.h

%changelog
* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5
- rebuilt against new deps and with gcc v3.4.x
- merge the static devel sub package into the devel sub package
- added sqlite support
- make it compile (P1)
- fix deps

* Fri Apr 23 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.4-1mdk
- new version (0.5.3 is an addition by myself, yo - adds support for
  persistent connections in the postgres driver)

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-5mdk
- rebuild

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-4mdk
- make it provide
- use the %%configure2_5x macro

* Sat May 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-3mdk
- fix wierdness on 9.0...

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-2mdk
- fix typo in requires (duh!)

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-1mdk
- initial cooker contrib
